### Core Functionality
- [x] lualine.nvim
- [x] packer.nvim
- [x] neoformat
- [x] nvim-tree.lua
- [x] telescope.nvim
- [x] gitsigns.nvim
- [x] nvim-autopairs
- [x] vim-matchup
- [x] nvim-comment
- [x] vimwiki
- [x] vim-sandwich
- [x] emmet-vim

### Theming

#### eye-candy
- [x] indent-blankline
- [x] nvim-cursorline
- [x] nvim-web-devicons
- [ ] barbar.nvim

#### colorscheme
##### Opt. 1: use colorscheme
- [ ] tokyonight.nvim
- [ ] iceberg.vim
##### Opt. 2: use colorscheme builder
 - [x]  nvim-base16 (not the one in nvchap)

### LSP stuff
- [x] nvim-lspconfig
- [x] nvim-lsp-installer
- [ ] lspkind-nvim
- [x] nvim-treesitter
  - [x] integrate this properly.
- [x] coq_nvim (better nvim-cmp (nvim-compe is deprecated))
- [ ] trouble.nvim
- [ ] navigator.lua

### Git stuff
- [x] gitsigns.nvim
- [x] vim-fugitive

### utils
- [ ] mkdir.nvim
- [x] hop.nvim
  - [x] configuration
- [ ] train.nvim
- [x] nvim-ts-rainbow
